Subject: FW: Non-member submission from [Thippanna Hongal <hongal@yagosys. com>]

From: "Appelbaum, Muriel" <[email-masked]>
Date: Thu, 27 Jan 2000 12:32:42 -0600

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] 
Sent: Thursday, January 27, 2000 10:10 AM
To: [email-masked]
Subject: BOUNCE [email-masked]: Non-member submission from
[Thippanna Hongal <[email-masked]>]

---

From: "Appelbaum, Muriel" <[email-masked]>
Date: Fri, 28 Jan 2000 14:45:28 -0600

-----Original Message-----
Sent: Friday, January 28, 2000 10:31 AM

---

From: "Appelbaum, Muriel" <[email-masked]>
Date: Mon, 31 Jan 2000 15:06:14 -0600

Juergen Schoenwaelder wrote:

> >>>>> Thippanna Hongal <[email-masked]> writes:
>
> >> I have some question regarding daylight sayings non existent time.
> >> If an calendar schedule is scheduled to shoot every minute, and if
> >> the time is changed from 2 PM to 3 PM, Do I need to schedule 60
> >> times the schedule at 3 PM or it is triggered only once ?.
>
> Alan> In RFC 2591, section 3.4, the last paragraph (on page 5) reads:
>
> [...]
>
> Alan> As I read this, the 3 AM event occurs only once.  But also, all
> Alan> of the events scheduled for the missing hour between 2 AM and 3
> Alan> AM also must be triggered at 3 AM.
>
> I think this is obvious for events scheduled for nonexistent times
> that come from different entries in the schedTable. It is probably not
> so obvious for multiple events scheduled for nonexistent times that
> come from the same schedTable entry.
>
> Shall we add a sentence which makes that clearer? What about adding
> the following sentence directly below the last paragraph of section
> 3.4 in RFC 2591:
>
>         This rule applies to all events scheduled for nonexistent
>         time, regardless whether the scheduled events originate from
>         one or multiple rows in the schedTable.
>
> Would that help?
>

I do not see any confusion over the explanation in RFC regarding the
non-existent time.

My question is a specific case of one schedule  and one table.

I have a single row and which does calendar schedule for 60 times in hour.
For 2hrs of non existant time
I have to do SNMP SET  for 60 * 2 times at the end of 3 PM.  This might lead
to net congestion.

What I have done in my implementation is if that case exists then I have
done  SET operation to work once and a LOG message will be generated about
this saying rest of the 119 SET operations are not done because of repeated
large number of SET operations.
This LOG message is generated  for each schedules which have large number of
SET operation to be done during the nonexistent time.

At this time I would like to add another implementation feature.

If a schedule fails to do its intended operation for certain number of time
then schedOperStatus is set to DISABLED.
While considering the number of times , I consider the interval between the
schedules too.

Let me know your thoughts about this.

thanks
hongal.

>
> /js
>
> --
> Juergen Schoenwaelder      Technical University Braunschweig
> <[email-masked]>  Dept. Operating Systems & Computer Networks
> Phone: +49 531 391 3289    Bueltenweg 74/75, 38106 Braunschweig, Germany
> Fax:   +49 531 391 5936    <URL:http://www.ibr.cs.tu-bs.de/~schoenw/>

--
thanks
hongal

--------------DD8001433660E8E69658FB48
Content-Type: text/x-vcard; charset=us-ascii;
 name="hongal.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Thippanna Hongal
Content-Disposition: attachment;
 filename="hongal.vcf"

begin:vcard 
n:Hongal;Thippanna
tel;cell:408-221-3212
tel;fax:408-878-6560
tel;home:408-248-5855
tel;work:408-878-6562
x-mozilla-html:TRUE
org:Cabletron Systems, Inc.;NMS Engg
adr:;;3615 Green Lee Drive Apt. No. 21;San Jose;ca;95117;US
version:2.1
email;internet:[email-masked]
title:Member of Technical Staff
x-mozilla-cpt:;25856
fn:Thippanna Hongal
end:vcard

--------------DD8001433660E8E69658FB48--